USN-6194-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6194-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6194-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6194-1
Related
  • CVE-2023-2176
  • CVE-2023-2430
  • CVE-2023-35788
Published
2023-06-29T19:13:02.337166Z
Modified
2023-06-29T19:13:02.337166Z
Summary
linux-oem-6.1 vulnerabilities
Details

Hangyu Hua discovered that the Flower classifier implementation in the Linux kernel contained an out-of-bounds write vulnerability. An attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-35788, LP: #2023577)

Xingyuan Mo and Gengjia Chen discovered that the io_uring subsystem in the Linux kernel did not properly handle locking when IOPOLL mode is being used. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-2430)

Wei Chen discovered that the InfiniBand RDMA communication manager implementation in the Linux kernel contained an out-of-bounds read vulnerability. A local attacker could use this to cause a denial of service (system crash). (CVE-2023-2176)

It was discovered that for some Intel processors the INVLPG instruction implementation did not properly flush global TLB entries when PCIDs are enabled. An attacker could use this to expose sensitive information (kernel memory) or possibly cause undesired behaviors. (LP: #2023220)

References

Affected packages

Ubuntu:22.04:LTS / linux-oem-6.1

Package

Name
linux-oem-6.1

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.1.0-1015.15

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-oem-6.1-tools-6.1.0-1015": "6.1.0-1015.15",
            "linux-modules-ivsc-oem-22.04c": "6.1.0.1015.15",
            "linux-modules-ipu6-oem-22.04c": "6.1.0.1015.15",
            "linux-tools-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-modules-iwlwifi-oem-22.04c": "6.1.0.1015.15",
            "linux-tools-oem-22.04c": "6.1.0.1015.15",
            "linux-image-oem-22.04c": "6.1.0.1015.15",
            "linux-modules-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-headers-oem-22.04c": "6.1.0.1015.15",
            "linux-modules-ipu6-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-oem-22.04c": "6.1.0.1015.15",
            "linux-oem-6.1-headers-6.1.0-1015": "6.1.0-1015.15",
            "linux-modules-ivsc-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-buildinfo-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-modules-iwlwifi-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-headers-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-oem-6.1-tools-host": "6.1.0-1015.15",
            "linux-image-6.1.0-1015-oem": "6.1.0-1015.15",
            "linux-image-unsigned-6.1.0-1015-oem": "6.1.0-1015.15"
        }
    ]
}